# SubmissionEvent

Represents a submission event on SMHW.

## Constructor

#### new SubmissionEvent(client, response)

Instantiate a SubmissionEvent object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating the object.
`response` | Object | The data for the object.

Source:
  - structures/SubmissionEvent.js, line 12

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Source:
  - structures/SubmissionEvent.js, line 18

#### content :String

The content of the event.

Type:

- String

Source:
  - structures/SubmissionEvent.js, line 24

#### created_at :Number

The timestamp of when the event was created.

Type:

- Number

Source:
  - structures/SubmissionEvent.js, line 30

#### event_type :String

The type of the submission event.

Type:

- String

Source:
  - structures/SubmissionEvent.js, line 36

#### id :Number

The ID of the submission event.

Type:

- Number

Source:
  - structures/SubmissionEvent.js, line 42

#### submission :Object

The submission information of the submission event.

Type:

- Object

Source:
  - structures/SubmissionEvent.js, line 48

#### submission_id :String

The ID of the submission.

Type:

- String

Source:
  - structures/SubmissionEvent.js, line 66

#### teacher_id :Number

The ID of the teacher who created the event.

Type:

- Number

Source:
  - structures/SubmissionEvent.js, line 72

#### updated_at :Number

The timestamp of when the homework was last updated.

Type:

- Number

Source:
  - structures/SubmissionEvent.js, line 78

#### user_name :String

The name of the user who created the event.

Type:

- String

Source:
  - structures/SubmissionEvent.js, line 84

### Methods

#### getSubmission() → {Promise.<HomeworkSubmission>}

Get submission that the event refers to.

Source:
  - structures/SubmissionEvent.js, line 99

Returns:

Type
  Promise.<HomeworkSubmission>

#### getTeacher() → {Promise.<Employee>}

Get the teacher who created the event.

Source:
  - structures/SubmissionEvent.js, line 91

Returns:

Type
  Promise.<Employee>